forward_static_call_array
func_get_arg
Fonctions sur la gestion des fonctions
PHP Manual

# forward_static_call

(PHP 5 >= 5.3.0)

forward_static_call — Appelle une méthode statique

### Description

mixed forward_static_call ( callback `$function` [, mixed `$parameter` [, mixed `$...` ]] )

Appelle une fonction ou une méthode utilisateur, nommée `function` , avec les arguments qui suivent. Cette fonction doit être appelée depuis une méthode, et ne peut pas être utilisée hors d'une classe.

### Liste de paramètres

`function`

  La fonction ou la méthode appelée. Ce paramètre peut être un tableau, avec le nom de la classe et de la méthode, ou une chaîne, avec le nom de la fonction.

`parameter`

  Zéro ou plusieurs paramètres à passer à la fonction.

### Valeurs de retour

Retourne le résultat de la fonction, ou bien `FALSE` en cas d'erreur.

### Exemples

Exemple #1 Exemple avec forward_static_call()

`<?php
class A
{
const NAME = 'A';
public static function test() {
$args = func_get_args();
echo static::NAME, " ".join(',', $args)." \n";
}
}
class B extends A
{
const NAME = 'B';
public static function test() {
echo self::NAME, "\n";
forward_static_call(array('A', 'test'), 'encore', 'plus');
forward_static_call( 'test', 'encore', 'autres');
}
}
B::test('foo');
function test() {
$args = func_get_args();
echo "C ".join(',', $args)." \n";
}
?>`

L'exemple ci-dessus va afficher :

    B
    B encore,plus
    C encore,autres

### Voir aussi

- forward_static_call_array() - Appelle une méthode statique et passe les arguments en tableau
- call_user_func_array() - Appelle une fonction utilisateur avec les paramètres rassemblés en tableau
- call_user_func() - Appelle une fonction utilisateur
- is_callable() - Détermine si l'argument peut être appelé comme fonction
- Informations sur le type callback

forward_static_call_array
func_get_arg
Fonctions sur la gestion des fonctions
PHP Manual